import { StateStorage } from "../Utils/Storage.util";

export const UIMainPipe = new StateStorage({
    building: false,
    selectedBuilding: 0,
    volume: 0.7,
    loadingAssets: true,
});

export const UIAssetsLoaderInfoPipe = new StateStorage({
    totalToDownload: -1,
    downloaded: -1,
    finished: false,
});

export const UIGameProfilerPipe = new StateStorage({
    frameLatency: 0,
    profileMessages: []
});

export const UISelectionInfo = new StateStorage({
    types: [""],
});
export const UICameraInfo = new StateStorage({
    position: {x:0, y:0},
    zoom: 1
});

export const UIObtainedResourcesPipe = new StateStorage({
    wood: 0,
    stone: 0,
    grass: 0,
    gold: 0,
    goldPerSec: 0,
    score: 0
});

export const UIGameTimePipe = new StateStorage({
    gameTime: {},
    gameSecondsPass: 0 
});

export const UIGameSound = new StateStorage({
    master: 1.0,
    music: 0.3,
    ambient: 1.0
});